Chuyển đến nội dung
Diễn đàn CADViet
thien101278

Tính tổng các block

Các bài được khuyến nghị

các có biêt cái lisp nào để tính tổng các block không bác oi- Nếu có Bác up lên cho em nhé Bac. Cảm ơn Bác nhiều.

Tính tổng!? ý bạn là sao?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
các có biêt cái lisp nào để tính tổng các block không bác oi- Nếu có Bác up lên cho em nhé Bac. Cảm ơn Bác nhiều.

 

 

(defun c:TONGBL ()

(textscr)

(prompt "\nIf using the <S>pecified blocks option, don't ")

(prompt "\nforget that wildcards may be used as part of ")

(prompt "\nthe search string... ")

(prompt "\nExample: Please specify the block name for counting:door*")

(prompt "\nThis would return door1, door32, etc.")

(setq d (getstring "\nCount <A>ll or <S>pecified blocks?: "))

(if (or (= d "s") (= d "S"))

(progn

(setq bn (getstring "\nPlease specify the block name for counting: "))

(setq ss (ssget "x" (list (cons 2 bn))))

(setq bq (sslength ss))

(princ (strcat "\n" (rtos bq 2 0) " occurances of block " bn))

(princ)

)

(progn

(setq ss (ssget "x" (list (cons 2 "*"))))

(setq bq (sslength ss))

(princ (strcat "\n" (rtos bq 2 0) " unexploded blocks were found "))

(princ)

)

)

)

 

 

 

-- Tính tổng Block trong toàn bộ bản vẽ hoặc thống kê một tên Block lựa chọn

Không biết có đúng cái của bạn cần không.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
(defun c:TONGBL ()

(textscr)

(prompt "\nIf using the <S>pecified blocks option, don't ")

(prompt "\nforget that wildcards may be used as part of ")

(prompt "\nthe search string... ")

(prompt "\nExample: Please specify the block name for counting:door*")

(prompt "\nThis would return door1, door32, etc.")

(setq d (getstring "\nCount <A>ll or <S>pecified blocks?: "))

(if (or (= d "s") (= d "S"))

(progn

(setq bn (getstring "\nPlease specify the block name for counting: "))

(setq ss (ssget "x" (list (cons 2 bn))))

(setq bq (sslength ss))

(princ (strcat "\n" (rtos bq 2 0) " occurances of block " bn))

(princ)

)

(progn

(setq ss (ssget "x" (list (cons 2 "*"))))

(setq bq (sslength ss))

(princ (strcat "\n" (rtos bq 2 0) " unexploded blocks were found "))

(princ)

)

)

)

 

 

 

-- Tính tổng Block trong toàn bộ bản vẽ hoặc thống kê một tên Block lựa chọn

Không biết có đúng cái của bạn cần không.

chi tiết hơn thì dùng ATTRIBUTE EXTRACTION

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×